<!DOCTYPE html>
<html lang="en" >
	<head>
		<meta charset="utf-8">
		<title>BMI Calculator</title>
	</head>
	<style media="screen">
		body{
			margin: 0;
			padding: 0;
			text-align: center;
			font-family: sans-serif;
			background-image: linear-gradient(120deg,#6babff, #5f27cd);
			min-height: 100vh;
		}
		div{
			width: 500px;
			position: absolute;
			top: 50%;
			left: 50%;
			background-color: #fff;
			transform: translate(-50%, -50%);
			padding: 20px;
			border-radius: 10px;
			box-shadow: 1px 1px 20px #ee5253;
		}
		h2{
			font-size: 30px;
			font-weight: 600;
		}
		.text{
			text-align: left;
			margin-left: 150px;
		}
		#w, #h{
			color: #222f3e;
			text-align: left;
			font-size: 20px;
			font-weight: 200;
			outline: none;
			border: none;
			background: none;
			border-bottom: 1px solid #341f97;
			width: 200px;
		}
			#w:focus, #h:focus{
				border-bottom: 2px solid #341f97;
				width: 300px;
				transition: 0.5s;
			}
			#result{
				color: #341f97;
			}
			#btn{
				font-family: inherit;
				margin-top: 10px;
				border: none;
				color: #fff;
				background-image: linear-gradient(120deg,#ff6b6b, #5f27cd);
				width: 150px;
				padding: 10px;
				border-radius: 30px;
				outline: none;
				cursor: pointer;
			}
			#btn:hover{
				box-shadow: 1px 1px 10px #341f97;
			}
			#info{
				font-size: 12px;
				font-family: inherit;
			}
	</style>
	
	<script type="text/javascript">
		function BMI() {
			var h=document.getElementById('hei').value;
			var w=document.getElementById('wei').value;
			// calcule du l'indice de Masse Corporelle
			var bmi=w/((h/100)*(h/100));
			// variable formater a 2 chiffre apres la virgule
			var bmio=(bmi.toFixed(2));
			document.getElementById("result").innerHTML="Your BMI is " + bmio;
		}
		
	</script>
	<?php
	session_start();
		$bmio =  "<script>document.write(bmio);</script>";
		//echo $bmio;
	?>
	<body>
		<div>
		<form id="form" name="form" method="post" action="Enregistrement.php"> 
			<h2>BMI Calculator</h2>
			<p class="text">Height</p>
			<input type="text" id="hei" name="h">
			<p class="text">Weight</p>
			<input type="text" id="wei" name="w">
			<p id="result"></p>
			<button id="btn"  onClick="BMI()">Calculer</button>
		</form>
			<p id="info">Please enter height [cm] and weight [kg]</p>
		</div>
	</body>
</html>
